<?php
/**
 * Titan News Blog functions
 */

if ( ! function_exists( 'titan_news_blog_setup' ) ) :
function titan_news_blog_setup() {

    load_theme_textdomain( 'titan-news-blog', get_template_directory() . '/languages' );

	// Set up the WordPress core custom background feature.
    add_theme_support( 'custom-background', apply_filters( 'titan_news_blog_custom_background_args', array(
	    'default-color' => 'ffffff',
	    'default-image' => '',
    ) ) );	
}
endif; 
add_action( 'after_setup_theme', 'titan_news_blog_setup' );

if ( ! function_exists( 'titan_news_blog_styles' ) ) :
	function titan_news_blog_styles() {
		// Register theme stylesheet.
		wp_register_style('titan-news-blog-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'titan-news-blog-style' );

		wp_style_add_data( 'titan-news-blog-style', 'rtl', 'replace' );
	}
endif;
add_action( 'wp_enqueue_scripts', 'titan_news_blog_styles' );